Skip to content

Count Load Balancers

GET
/gateway/count/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/gateway/count/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns how many Load Balancers the project has in the region, and how many of them are Running and Stopped.

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

The counts

Media typeapplication/json
object
code
integer
message
string
data
object
total

All Load Balancers.

integer
running

Load Balancers with status Running.

integer
stopped

Load Balancers with status Stopped.

integer
errors
object

Example

{
"code": 200,
"message": "Success",
"data": {
"total": 3,
"running": 2,
"stopped": 1
},
"errors": {}
}

The project ID is missing or is not a number.

Media typeapplication/json
object
code
integer
message
string
data
object
errors
string

Example

{
"code": 400,
"message": "Bad Request",
"data": {},
"errors": "Project ID is missing or invalid"
}